#
# spec file for package qore-sqlite3-module
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define module_api %(qore --latest-module-api 2>/dev/null)
Name:           qore-sqlite3-module
Version:        1.0.2
Release:        bp156.4.5
Summary:        Sqlite3 DBI module for Qore
License:        LGPL-2.1-or-later
Group:          Development/Languages/Other
URL:            https://www.qore.org
Source:         %{name}-%{version}.tar.zst
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  qore
BuildRequires:  qore-devel >= 0.7
BuildRequires:  sqlite3-devel
BuildRequires:  zstd
Requires:       qore-module(abi)%{?_isa} = %{module_api}

%description
Sqlite3 DBI driver module for the Qore Programming Language.

%package doc
Summary:        Documentation and examples for the Qore sqlute3 module
Group:          Development/Languages/Other
BuildArch:      noarch

%description doc
This package contains the HTML documentation and example programs for the Qore
xml module.

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license COPYING
%doc README RELEASE-NOTES AUTHORS
%dir %{_libdir}/qore-modules
%{_libdir}/qore-modules/*.qmod

%files doc
%doc test docs

%changelog
* Fri Feb  3 2023 Sarah Kriesch <sarah.kriesch@opensuse.org>
- Change documentation to nonarch
- Add qore-modules as a directory to files
* Thu Jul 29 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to 1.0.2
  * No changelog provided
- Fix Requires to work with current qore package
- Drop config.guess patches as we now use cmake
  * qore_sqlite3_module_add_aarch64_to_config_guess.patch
  * qore_sqlite3_module_add_ppc64le_to_config_guess.patch
* Tue Apr 13 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Fix build on armv7 and aarch64:
  * Drop -m32/-m64 flags for %%arm and aarch64
  * Add missing aarch64 support in config.guess:
  - qore_sqlite3_module_add_aarch64_to_config_guess.patch
* Sat Dec 19 2020 sarah.kriesch@opensuse.org
- enable s390x in spec file
* Mon Aug 31 2015 normand@linux.vnet.ibm.com
- new patch for ppc64le
  qore_sqlite3_module_add_ppc64le_to_config_guess.patch
* Mon Aug 18 2014 cdenicolo@suse.com
- license update: LGPL-2.1+
  no triple license found in package.
* Fri Aug 15 2014 petr@yarpen.cz
- migrated to OBS file layout
